Subject: Re: bash problem with hexl under ntemacs
From: [email-masked] (Guido Van Hoecke)

12 May 1997 22:12:27 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Original-To: Andrew Innes <[email-masked]>
Original-Cc: [email-masked], [email-masked]
In-Reply-To: Andrew Innes's message of Mon, 12 May 1997 17:12:07 +0100 (BST)
X-Mailer: Gnus v5.4.48/Emacs 19.34
Original-Sender: [email-masked]

Andrew Innes <[email-masked]> writes:
 
> However, I had thought people using Cygnus bash and other Unix-based
> Win32 shells should not be experiencing these problems (providing Emacs
> is correctly configured, which your setup is).  So I tried this now
> myself with the beta 17.1 bash.
> 
> Whether or not the problem occurs seems to depend on which drive
> cygwin.dll thinks is the "root" drive, and where Emacs is installed (and
> possibly also where bash is installed and maybe other factors I haven't
> been able to determine).
> 
> In your case bash reports that it cannot find "c:/emacs/bin/hexl.exe" -
> I suspect it is using "c:/" as the location of "/".  If you either
> remove the "c:" or change it to "//c", then bash finds it.  I don't
> understand precisely why that is - from looking at the source code, I
> believe cygwin.dll should always accept an absolute native filename, so
> perhaps it is bash itself that is getting confused.
> 
> For now, a work-around is to set the value of `hexlify-command' in Emacs
> to "//c/emacs/bin/hexl -hex" (and the corresponding change for
> `dehexlify-command').

Thanks, this is indeed a simple but effective work-around.

g-)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".